## kdeartwork-trinity 3.5.13.2

=== kwin-styles/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( "${TDE_CMAKE_DIR}/kwin.cmake" )

add_subdirectory( cde )
add_subdirectory( glow )
add_subdirectory( icewm )
add_subdirectory( kde1 )
add_subdirectory( kstep )
add_subdirectory( openlook )
add_subdirectory( riscos )
add_subdirectory( smooth-blend )
add_subdirectory( system )

=== icewm-themes/MenschMaschine/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    closeA.xpm closeI.xpm frameAB.xpm
	frameABL.xpm frameABR.xpm frameAL.xpm
	frameAR.xpm frameAT.xpm frameATL.xpm
	frameATR.xpm frameIB.xpm frameIBL.xpm
	frameIBR.xpm frameIL.xpm frameIR.xpm
	frameIT.xpm frameITL.xpm frameITR.xpm
	maximizeA.xpm maximizeI.xpm menuButtonA.xpm
	menuButtonI.xpm minimizeA.xpm minimizeI.xpm
	restoreA.xpm restoreI.xpm titleAB.xpm
	titleAL.xpm titleAM.xpm titleAR.xpm
	titleAT.xpm titleIB.xpm titleIL.xpm
	titleIM.xpm titleIR.xpm titleIT.xpm
	default.theme
  DESTINATION ${DATA_INSTALL_DIR}/kwin/icewm-themes/MenschMaschine )

=== kscreensaver/kdesavers/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

# ##### The "normal" screensavers ###############

set( kbanner_SOURCES    banner.cpp )
set( kbanner_DESKTOP    KBanner.desktop )
set( kpolygon_SOURCES   polygon.cpp )
set( kpolygon_DESKTOP   KPolygon.desktop )
set( klines_SOURCES     lines.cpp )
set( klines_DESKTOP     KLines-saver.desktop )
set( klorenz_SOURCES    lorenz.cpp )
set( klorenz_DESKTOP    KLorenz.desktop )
set( kslideshow_SOURCES slideshow.cpp slideshowcfg.ui )
set( kslideshow_DESKTOP KSlideshow.desktop )
set( kblob_SOURCES      blob.cpp )
set( kblob_DESKTOP      KBlob.desktop )
set( kvm_SOURCES        kvm.cpp vm.c vm_random.c )
set( kvm_DESKTOP        KVm.desktop )

set( kslideshow_LINK	kio-shared )

set( NORMAL_SCREENSAVERS 
	kbanner kpolygon kslideshow	klines klorenz kblob kvm )

##### X11 screensavers ##########################

set( kscience_SOURCES   science.cpp )	
set( kscience_DESKTOP   KScience.desktop )

set( X11_SCREENSAVERS kscience)

##### The GL screensavers #######################

set( kfountain_SOURCES  fountain.cpp fountaincfg.ui )
set( kfountain_DESKTOP  KFountain.desktop )
set( kwave_SOURCES      wave.cpp wavecfg.ui )
set( kwave_DESKTOP      KWave.desktop )
set( kgravity_SOURCES   gravity.cpp gravitycfg.ui )
set( kgravity_DESKTOP   KGravity.desktop )
set( kflux_SOURCES      Flux.cpp )
set( kflux_DESKTOP      KFlux.desktop )
set( keuphoria_SOURCES  Euphoria.cpp )
set( keuphoria_DESKTOP  KEuphoria.desktop )
set( ksolarwinds_SOURCES SolarWinds.cpp )
set( ksolarwinds_DESKTOP KSolarWinds.desktop )
set( krotation_SOURCES  rotation.cpp rotationcfg.ui sspreviewarea.cpp
   	rkodesolver.cpp vec3.cpp )
set( krotation_DESKTOP  KRotation.desktop )
set( kpendulum_SOURCES  pendulum.cpp pendulumcfg.ui sspreviewarea.cpp
   	rkodesolver.cpp )
set( kpendulum_DESKTOP  KPendulum.desktop )
set( OPENGL_SCREENSAVERS kfountain kwave kgravity kflux keuphoria ksolarwinds
	krotation kpendulum )

##### The GL-Arts screensavers ##################

set( kfiresaver_SOURCES firesaversetup.ui firesaverparticle.cpp
   	firesaverwriter.cpp	firesaver.cpp )
set( kfiresaver_DESKTOP KFiresaver.desktop )
set( kfiresaver_LINK artskde-shared )
set( GL_ARTS_SCREENSAVERS kfiresaver )

##### The LIBART screensavers ###################

set( kclock_SOURCES	kclock.cpp )
set( kclock_DESKTOP	KClock.desktop )

set( LIBART_SCREENSAVERS kclock )

##### LIBART conditions #########################

if( WITH_LIBART )
  list( APPEND SCREENSAVERS ${LIBART_SCREENSAVERS} )

  include_directories( ${LIBART_INCLUDE_DIRS} )
  link_directories( ${LIBART_LIBRARY_DIRS} )
  foreach( saver ${LIBART_SCREENSAVERS} )
    list ( APPEND ${saver}_LINK ${LIBART_LIBRARIES} )
  endforeach( saver ${LIBART_SCREENSAVERS} )
endif( WITH_LIBART )

##### GL conditions #############################

if( WITH_OPENGL )
  if( WITH_ARTS )
    list( APPEND OPENGL_SCREENSAVERS ${GL_ARTS_SCREENSAVERS} )
  endif( WITH_ARTS )

  list( APPEND SCREENSAVERS ${OPENGL_SCREENSAVERS} )
  
  include_directories( ${OPENGL_INCLUDE_DIRS} )
  link_directories( ${OPENGL_LIBRARY_DIRS} )
  foreach( saver ${OPENGL_SCREENSAVERS} )
    list ( APPEND ${saver}_LINK ${OPENGL_LIBRARIES} )
  endforeach( saver ${OPENGL_SCREENSAVERS} )
    
endif( WITH_OPENGL )

##### add normal screensavers ###################

# FIXME: check for X includes/libraries
#        this screensavers will work only in X
list( APPEND SCREENSAVERS ${X11_SCREENSAVERS} )
list( APPEND SCREENSAVERS ${NORMAL_SCREENSAVERS} )
	
##### create install/compile rules ##############
foreach( saver ${SCREENSAVERS} )
  tde_add_executable( ${saver}.kss AUTOMOC
    SOURCES ${${saver}_SOURCES}
    LINK kscreensaver-shared kdeui-shared ${${saver}_LINK}
    DESTINATION ${BIN_INSTALL_DIR}
  )
  install( FILES ${${saver}_DESKTOP} 
    DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers )
endforeach( saver ${SCREENSAVERS} )

##### install various data ######################

install( FILES image.png kscience.png particle.png
    DESTINATION ${DATA_INSTALL_DIR}/kscreensaver )

# Actually the only screensaver tha uses this data is kfiresaver 
add_subdirectory( data )

=== kscreensaver/kpartsaver/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### desktop files #############################

install( FILES kpartsaver.desktop 
    DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers )

##### kpart_cde ##################################

tde_add_executable( kpartsaver.kss AUTOMOC
  SOURCES kpartsaver.cpp configwidget.ui
  LINK kscreensaver-shared kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kscreensaver/xsavers/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### shared source ##########################

set( BASE_SRCS main.cpp demowin.cpp saver.cpp helpers.cpp )
set( XL_SRCS xlock.cpp )

##### kswarm #################################

tde_add_executable( kswarm.kss AUTOMOC
  SOURCES swarm.cpp ${BASE_SRCS} ${XL_SRCS}
  LINK kdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

install( FILES KSwarm.desktop DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers )

##### kswarm #################################

if( WITH_OPENGL )
  include_directories( ${OPENGL_INCLUDE_DIRS} )
  link_directories( ${OPENGL_LIBRARY_DIRS} )
  tde_add_executable( kspace.kss AUTOMOC
    SOURCES space.cpp ${BASE_SRCS} ${XL_SRCS}
	LINK kdeui-shared ${OPENGL_LIBRARIES}
    DESTINATION ${BIN_INSTALL_DIR}
  )
  
  install( FILES KSpace.desktop DESTINATION ${APPS_INSTALL_DIR}/System/ScreenSavers )
endif( WITH_OPENGL )

=== kwin-styles/icewm/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )
add_subdirectory( icewm-themes )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES icewm.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin )

##### kwin3_icewm ###############################

tde_add_kpart( kwin3_icewm AUTOMOC
  SOURCES icewm.cpp
  LINK kdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kwin-styles/kde1/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES kde1.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin )

##### kwin3_cde ##################################

tde_add_kpart( kwin3_kde1 AUTOMOC
  SOURCES kde1client.cpp
  LINK kdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kwin-styles/riscos/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DQT_PLUGIN
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES riscos.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin )

##### kwin3_riscos ###############################


set( target kwin3_riscos )

set( ${target}_SRCS
  AboveButton.cpp Button.cpp
  CloseButton.cpp
  HelpButton.cpp
  IconifyButton.cpp
  LowerButton.cpp
  Manager.cpp
  MaximiseButton.cpp
  Static.cpp
  StickyButton.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kdecorations-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== styles/dotnet/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DQT_PLUGIN
)

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES dotnet.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes )


##### dotnet #####################################

set( target dotnet )

set( ${target}_SRCS
  dotnet.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)

=== kwin-styles/cde/config/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### kwin_cde_config (module) ###################

tde_add_kpart( kwin_cde_config AUTOMOC
  SOURCES config.cpp
  LINK kdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kwin-styles/glow/config/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### kwin_glow_config (module) ##################

tde_add_kpart( kwin_glow_config AUTOMOC
  SOURCES glowconfigdialog.cpp
  LINK kdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kwin-styles/icewm/config/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### kwin_icewm_config (module) ################

tde_add_kpart( kwin_icewm_config AUTOMOC
  SOURCES config.cpp
  LINK kdeui-shared kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
kdeartwork-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 04:48:14 +0200

kdeartwork-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 14:52:00 -0600

kdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Intrepid -trinity packaging update

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 24 Nov 2008 16:53:00 -0600

kdeartwork (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep version of kdelibs4-dev and kdebase-dev to 3.5.10
    - Add xscreensaver-data-extra to build-dep

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:41:02 -0400

kdeartwork (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

kdeartwork (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Fix kscreensaver-xsavers-webcollage.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2007 16:06:47 +0000

kdeartwork (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Edit kscreensaver-xsaver-webcollage.install to use the file
    from sources, since it does not get installed during build.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 23:36:57 +0000

kdeartwork (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:51:47 +0000

kdeartwork (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - Add package kscreensaver-xsavers-extra

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:44 +0000

kdeartwork (4:3.5.8-1) unstable; urgency=low
 
  * New upstream release. 

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Redo buildprep.
  * Bump build-dependencies and stuff to 3.5.8.

  +++ Changes by Sune Vuorela:

  * Only make kdeartwork recommend kscreensaver-xsavers, not depend. It pulls
    all sorts of weird gtk-stuff in.
  * Fix spelling error in control file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Oct 2007 00:25:56 +0200

kdeartwork (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Webcollage needs a wordlist to work. Add proper depends.
  * Webcollage needs ppmmake from netpbm to function. Add proper depends.
  * Implement use of uploaders.mk and update control file.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Remove the hook to the xteevee screensaver since it has been removed
    from xscreensaver. (Closes: #436364)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 07 Aug 2007 19:00:51 +0200

kdeartwork (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:25 +0100

kdeartwork (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Added kubuntu_01_dont_use_xscreensaver_by_default.diff which is the
    last upload, in patch form, as opposed to directly patching the
    source. Clearly my brain isnt so good tonight.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 19:14:40 +1000

kdeartwork (4:3.5.7-1ubuntu2) gutsy; urgency=low
 .
   * Removed TryExec=xscreensaver from all the
     kscreensaver/kxsconfig/ScreenSavers/*.desktop files, so that they can be
     controlled in the KDE screensavers control panel.  Closes LP: #49228

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 17:13:01 +1000

kdeartwork (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 16:01:05 +0100

kdeartwork (4:3.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 May 2007 22:30:44 +0100

kdeartwork (4:3.5.6-4ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:55 +0100

kdeartwork (4:3.5.6-4) unstable; urgency=low

  * Really upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 13:57:49 +0100

kdeartwork (4:3.5.6-3) experimental; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 12:48:34 +0100

kdeartwork (4:3.5.6-2) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Ship the webcollage screensaver in a separate package. (Closes: #384100)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add kscreensaver-xsavers-webcollage.README.Debian.
  * Remade screensaver-xsavers-webcollage description in debian/control.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 31 Jan 2007 06:01:40 +0100

kdeartwork (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  * Make kdeartwork-dbg depend on kdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 19:21:21 +0100

kdeartwork (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

kdeartwork (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Compile with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 20:30:07 +0000

kdeartwork (4:3.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 20:38:54 -0400

kdeartwork (4:3.5.4-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: kdeartwork-trinity
Section: kde
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, cmake, autotools-dev, kdelibs4-trinity-dev, gawk, gettext, sharutils, kdebase-trinity-dev, kwin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
Build-Conflicts: autoconf2.13, nvidia-glx
Standards-Version: 3.8.4

Package: kdeartwork-trinity
Architecture: all
Section: kde
Depends: kdeartwork-misc-trinity (>= ${Source-Version}), kdeartwork-emoticons-trinity (>= ${Source-Version}), kdeartwork-style-trinity (>= ${Source-Version}), kdeartwork-theme-icon-trinity (>= ${Source-Version}), kdeartwork-theme-window-trinity (>= ${Source-Version}), kdewallpapers-trinity (>= ${Source-Version}), kscreensaver-trinity (>= ${Source-Version})
Recommends: kscreensaver-xsavers-trinity
Description: themes, styles and more from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of artistic extras (themes, widget
 styles, screen savers, wallpaper, icons, emoticons and so on) provided
 with the official release of KDE.
 .
 Homepage: http://artist.kde.org 

Package: kdeartwork-emoticons-trinity
Architecture: all
Section: kde
Enhances: kopete-trinity
Description: emoticon collections for KDE chat clients
 This package contains several collections of emoticons used by official
 and unofficial KDE chat clients, such as Kopete and Konversation.
 .
 This package is part of KDE, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdeartwork-misc-trinity
Architecture: all
Section: kde
Suggests: kworldclock
Description: various multimedia goodies released with KDE
 This package contains miscellaneous multimedia goodies for KDE.
 Included are additional KDE sounds and kworldclock themes.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdeartwork-style-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: widget styles released with Trinity
 This package contains additional widget styles for Trinity. Widget styles
 can be used to customise the look and feel of interface components such
 as buttons, scrollbars and so on.  They can be applied using the style
 manager in the KDE Control Centre.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdeartwork-theme-icon-trinity
Architecture: all
Section: kde
Replaces: kdelibs-data-trinity (<< 4:3.5)
Conflicts: kbabel-trinity (<< 4:3.5.13.2~), kicker-applets-trinity (<< 4:3.5.13.2~)
Recommends: kdesktop-trinity, kicker-trinity
Description: icon themes released with Trinity
 This package contains additional icon themes for Trinity. Icon themes can be
 used to customise the appearance of standard icons throughout KDE. They
 can be applied using the icon manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdeartwork-theme-window-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: window decoration themes released with Trinity
 This package contains additional window decoration themes for Trinity. Window
 decoration themes can be used to customise the look of window borders and
 buttons, and can be applied using the window decoration manager in the Trinity
 Control Center.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdewallpapers-trinity
Architecture: all
Section: kde
Suggests: kwin-trinity | x-window-manager
Replaces: kdebase-data-trinity (<< 4:3.5)
Description: wallpapers released with Trinity
 This package contains additional wallpapers for Trinity. Wallpapers can be
 applied using the background manager in the KDE Control Centre.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kscreensaver-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, kdebase-trinity-bin
Recommends: kwin-trinity, kscreensaver-xsavers-trinity (= ${Source-Version})
Description: additional screen savers released with Trinity
 This package contains the screen savers for Trinity. They can be tested and
 selected within the Appearance and Themes section of the Trinity Control
 Center.
 .
 The hooks for the standard xscreensavers are no longer part of this
 package. To select and/or configure the standard xscreensavers through
 the KDE Control Center, install the separate package kscreensaver-xsavers.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kscreensaver-xsavers-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, kdebase-trinity-bin, xscreensaver-data
Recommends: kwin-trinity, kscreensaver-trinity (= ${Source-Version}), xscreensaver-gl
Suggests: kscreensaver-xsavers-webcollage-trinity
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the standard xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the standard xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with Trinity, see the separate package
 kscreensaver-trinity. This package does depend on the xscreensaver package, and
 recommend the xscreensaver-gl package, as well as contain the necessary
 files to integrate these packages into Trinity.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kscreensaver-xsavers-webcollage-trinity
Architecture: all
Section: kde
Depends: kscreensaver-xsavers-extra-trinity, miscfiles | wordlist, netpbm
Description: webcollage screensaver Trinity hook
 This package give access to the webcollage screensaver through the Trinity
 screensaver configuration.
 .
 This screensaver downloads random pictures from the internet and creates
 a collage as screensaver.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 you might find inappropriate and offensive.
 You are specially discouraged to install this package if you are using 
 your computer in a working environment or in an environment with children.
 .
 If you still want to install this package, please read the file
 /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian after the 
 installation.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kscreensaver-xsavers-extra-trinity
Architecture: all
Section: kde
Depends: ${shlibs:Depends}, kscreensaver-xsavers-trinity, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
Recommends: kwin-trinity, kscreensaver-trinity (= ${Source-Version})
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the universe xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the universe xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with KDE, see the separate package
 kscreensaver.
 .
 This package is part of Trinity, and a component of the KDE artwork module.
 See the 'kde-trinity' and 'kdeartwork-trinity' packages for more information.

Package: kdeartwork-trinity-dbg
Section: libdevel
Architecture: any
Depends: kdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for kdeartwork-trinity
 This package contains the debugging symbols associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ARTS="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=kdeartwork-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

clean::
	rm -f IconThemes/kdeclassic/22x22/actions/kde/kde.png
	rm -f IconThemes/kdeclassic/32x32/actions/kde/kde.png
	cd kscreensaver/kxsconfig/ && ./update_hacks.sh

binary-install/kscreensaver-xsavers-extra-trinity::
	rm -f debian/kscreensaver-xsavers-extra-trinity/usr/share/applnk/System/ScreenSavers/webcollage.desktop
